{
  "aggMode" : "NONE",
  "codeName" : "UIPART_0015",
  "columnEnableLink" : 2,
  "controlType" : "GRID",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSGRIDS/UIPART_0015.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "logicName" : "禁用排序表格",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdegrids/UIPART_0015",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "grid",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_grid",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "Import"
  },
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.ORDERUID",
      "mOSFilePath" : "pslanguageres/Auto526",
      "rTMOSFilePath" : "pslanguageres/Auto526"
    },
    "caption" : "订单编号",
    "codeName" : "orderuid",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "orderuid",
    "excelCaption" : "订单编号",
    "mOSFilePath" : "psdegridcols/orderuid",
    "name" : "orderuid",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "ORDERUID",
      "codeName" : "OrderUID"
    },
    "rTMOSFilePath" : "psdegridcols/orderuid",
    "width" : 150,
    "widthUnit" : "px",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDERNAME",
      "mOSFilePath" : "pslanguageres/Auto751",
      "rTMOSFilePath" : "pslanguageres/Auto751"
    },
    "caption" : "订单名称",
    "codeName" : "IBIZordername",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ibizordername",
    "excelCaption" : "订单名称",
    "mOSFilePath" : "psdegridcols/IBIZordername",
    "name" : "IBIZordername",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    },
    "rTMOSFilePath" : "psdegridcols/IBIZordername",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.IBIZORDER.IBIZCUSTOMERNAME",
      "mOSFilePath" : "pslanguageres/Auto1063",
      "rTMOSFilePath" : "pslanguageres/Auto1063"
    },
    "caption" : "客户名称",
    "codeName" : "IBIZcustomername",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ibizcustomername",
    "excelCaption" : "客户名称",
    "mOSFilePath" : "psdegridcols/IBIZcustomername",
    "name" : "IBIZcustomername",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "IBIZCUSTOMERNAME",
      "codeName" : "IBIZCustomerName"
    },
    "rTMOSFilePath" : "psdegridcols/IBIZcustomername",
    "width" : 150,
    "widthUnit" : "px",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.ORDERTIME",
      "mOSFilePath" : "pslanguageres/Auto691",
      "rTMOSFilePath" : "pslanguageres/Auto691"
    },
    "caption" : "订单时间",
    "codeName" : "ordertime",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "ordertime",
    "excelCaption" : "订单时间",
    "mOSFilePath" : "psdegridcols/ordertime",
    "name" : "ordertime",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "ORDERTIME",
      "codeName" : "OrderTime"
    },
    "rTMOSFilePath" : "psdegridcols/ordertime",
    "valueFormat" : "YYYY-MM-DD",
    "width" : 150,
    "widthUnit" : "px",
    "enableSort" : false
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE",
      "mOSFilePath" : "pslanguageres/Auto1074",
      "rTMOSFilePath" : "pslanguageres/Auto1074"
    },
    "caption" : "更新时间",
    "codeName" : "updatedate",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "updatedate",
    "excelCaption" : "更新时间",
    "mOSFilePath" : "psdegridcols/updatedate",
    "name" : "updatedate",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    },
    "rTMOSFilePath" : "psdegridcols/updatedate",
    "valueFormat" : "YYYY-MM-DD HH:mm:ss",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : false
  } ],
  "getPSDEGridDataItems" : [ {
    "dataType" : 25,
    "name" : "orderuid",
    "getPSAppDEField" : {
      "name" : "ORDERUID",
      "codeName" : "OrderUID"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizordername",
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizcustomername",
    "getPSAppDEField" : {
      "name" : "IBIZCUSTOMERNAME",
      "codeName" : "IBIZCustomerName"
    }
  }, {
    "format" : "YYYY-MM-DD",
    "dataType" : 5,
    "name" : "ordertime",
    "getPSAppDEField" : {
      "name" : "ORDERTIME",
      "codeName" : "OrderTime"
    }
  }, {
    "format" : "YYYY-MM-DD HH:mm:ss",
    "dataType" : 5,
    "name" : "updatedate",
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "dataType" : 25,
    "name" : "ibizorderid",
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "ibizcustomerid",
    "getPSAppDEField" : {
      "name" : "IBIZCUSTOMERID",
      "codeName" : "IBIZCustomerId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    }
  }, {
    "dataType" : 25,
    "name" : "wfstep",
    "getPSAppDEField" : {
      "name" : "WFSTEP",
      "codeName" : "WFStep"
    }
  }, {
    "dataType" : 25,
    "name" : "orderstate",
    "getPSAppDEField" : {
      "name" : "ORDERSTATE",
      "codeName" : "OrderState"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "订单标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "mOSFilePath" : "psdegridcols/srfkey",
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "rTMOSFilePath" : "psdegridcols/srfkey",
    "allowEmpty" : true
  } ],
  "pagingSize" : 10,
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderSF3GridView/psappviewctrls/grid",
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : false,
  "hideHeader" : false,
  "noSort" : true,
  "singleSelect" : false,
  "modelid" : "3861842d09538da33ae47a09e859c20e",
  "modeltype" : "PSDEGRID"
}